Name:          openxr
Version:       1.1.40
Release:       1mamba
Summary:       An open standard for virtual reality and augmented reality platforms and devices
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.khronos.org/openxr/
Source:        https://github.com/KhronosGroup/OpenXR-SDK-Source.git/release-%{version}/OpenXR-SDK-Source-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXrandr-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libstdc++6-devel
BuildRequires: libvulkan-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
An open standard for virtual reality and augmented reality platforms and devices.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n OpenXR-SDK-Source-%{version}

%build
%cmake \
    -DBUILD_TESTS=ON \
    -DPRESENTATION_BACKEND=xlib \
    -DDYNAMIC_LOADER=ON

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

rm -rf %{buildroot}%{_docdir}/openxr

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/hello_xr
%{_bindir}/openxr_runtime_list
%{_bindir}/openxr_runtime_list_json
%{_mandir}/man1/hello_xr.1*
%{_mandir}/man1/openxr_runtime_list.1*
%{_mandir}/man1/openxr_runtime_list_json.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libopenxr_loader.so.*
%doc LICENSE LICENSES

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/openxr
%{_includedir}/openxr/*
%{_libdir}/libXrApiLayer_api_dump.so
%{_libdir}/libXrApiLayer_core_validation.so
%{_libdir}/libopenxr_loader.so
%{_libdir}/pkgconfig/openxr.pc
%dir %{_libdir}/cmake/openxr
%{_libdir}/cmake/openxr/OpenXR*.cmake
%dir %{_datadir}/openxr/1/api_layers
%dir %{_datadir}/openxr/1/api_layers/explicit.d
%{_datadir}/openxr/1/api_layers/explicit.d/XrApiLayer_api_dump.json
%{_datadir}/openxr/1/api_layers/explicit.d/XrApiLayer_core_validation.json
%doc README.md

%changelog
* Sat Aug 24 2024 Automatic Build System <autodist@openmamba.org> 1.1.40-1mamba
- automatic version update by autodist

* Wed Jun 12 2024 Automatic Build System <autodist@openmamba.org> 1.1.38-1mamba
- automatic version update by autodist

* Sun May 26 2024 Automatic Build System <autodist@openmamba.org> 1.1.37-1mamba
- automatic version update by autodist

* Mon May 06 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.36-1mamba
- package created using the webbuild interface
